package com.ho.business.service;

import com.ho.business.entity.VirtualDeviceRelation;
import com.ho.business.vo.resp.virtualDeviceRelation.VirtualDeviceRelationResp;

import java.util.List;

/**
 * @author xwz
 * @desc: 虚拟设备关联点
 * @date 2023/12/12
 */
public interface VirtualDeviceRelationService {

    /**
     * 查询指标偏差值
     * @param vo
     * @return
     */
    List<VirtualDeviceRelationResp> selectByParam(VirtualDeviceRelation vo);

    /**
     * 新增指标偏差值
     * @param vo
     * @return
     */
    int insertOne(VirtualDeviceRelation vo);

    /**
     * 新增指标偏差值
     * @param list
     * @return
     */
    int insertList(List<VirtualDeviceRelation> list);

    /**
     * 根据id更新
     * @param vo
     * @return
     */
    int updateById(VirtualDeviceRelation vo);

    /**
     * 根据id批量删除
     * @param ids
     * @return
     */
    int deleteByList(List<Integer> ids);

    /**
     * 根据电站id删除
     * @param stationId
     * @return
     */
    int deleteStationId(Integer stationId);

}
